Package org.apache.sling.feature.extension.apiregions.api

# Class ApiExport

java.lang.Object
org.apache.sling.feature.extension.apiregions.api.ApiExport

All Implemented Interfaces:
  `Comparable<ApiExport>`

public class ApiExport extends Object implements Comparable<ApiExport>
Describes an exported package. This class is not thread safe.

## Constructor Summary

Constructors
Constructor
Description
`ApiExport(String name)`
Create a new export

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(ApiExport o)`
`boolean`
`equals(Object obj)`
`Deprecation`
`getDeprecation()`
Get the deprecation info
`String`
`getLibrary()`
Get the optional library information.
`String`
`getName()`
Get the package name
`org.apache.sling.feature.ArtifactId`
`getPreviousArtifactId()`
Get the previous artifact id containing the previous version
`Map<String,String>`
`getProperties()`
Get additional properties
`String`
`getToggle()`
Get the optional toggle information
`int`
`hashCode()`
`void`
`setLibrary(String value)`
Set the library information.
`void`
`setPreviousArtifactId(org.apache.sling.feature.ArtifactId previous)`
Set the previous artifact id
`void`
`setToggle(String toggle)`
Set the toggle info.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ApiExport

public ApiExport(String name)
Create a new export

Parameters:
  `name` - Package name for the export

## Method Details

### getName

public String getName()
Get the package name

Returns:
  The package name

### getToggle

public String getToggle()
Get the optional toggle information

Returns:
  The toggle info or `null`

### setToggle

public void setToggle(String toggle)
Set the toggle info.

Parameters:
  `toggle` - The toggle info

### getPreviousArtifactId

public org.apache.sling.feature.ArtifactId getPreviousArtifactId()
Get the previous artifact id containing the previous version

Returns:
  The previous artifact id or `null`
Since:
  1.2.0

### setPreviousArtifactId

public void setPreviousArtifactId(org.apache.sling.feature.ArtifactId previous)
Set the previous artifact id

Parameters:
  `previous` - Previus artifact id
Since:
  1.2.0

### getProperties

public Map<String,String> getProperties()
Get additional properties

Returns:
  Modifiable map of properties

### getDeprecation

public Deprecation getDeprecation()
Get the deprecation info

Returns:
  The info

### getLibrary

public String getLibrary()
Get the optional library information.

Returns:
  The library or `null`
Since:
  2.1.0

### setLibrary

public void setLibrary(String value)
Set the library information.

Parameters:
  `value` - The library
Since:
  2.1.0

### compareTo

public int compareTo(ApiExport o)

Specified by:
  `compareTo` in interface `Comparable<ApiExport>`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`